package com.th.demo.mapping.ware;

import com.th.demo.model.ware.InRecord;
import com.th.demo.model.ware.TotalRecord;
import com.th.demo.model.ware.TrackRecord;

import java.util.Date;
import java.util.List;

public interface InRecordMapper {
    int deleteByPrimaryKey(String id);
    //測試

    int insert(InRecord record);

    int insertSelective(InRecord record);

    InRecord selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(InRecord record);

    int updateByPrimaryKey(InRecord record);

    //根据条件查询全部数据
    List<InRecord> select(String wareName, String stackName, String layer, String materialName, String standard, String customerName,
                          String plateNo, Date fromDate,
                          Date toDate, String userId, String belongId, String ordNo, String carNo, String tallyPeople, String fkComponyName
                            ,List<String> plateNos,List<String> ordNos,String remark1);

    int updateIn(InRecord inRecord);

    List<TrackRecord> selectTrackRecord(String plateNo, String userId, String belongId);

    List<TotalRecord> selectTotal(String wareName, String stackName, String layer, String materialName, String standard, String customerName,
                                  String plateNo, Date fromDate, Date toDate, String userId, String belongId, String ordNo,
                                  String carNo, String tallyPeople, String fkComponyName,
                                    List<String> plateNos,List<String> ordNos,String remark1);


    int updateInDtmByInId(String id,Date ChangeInDtm);
}